Skip to Content
Cut.ProDocs
Clipping: source videos

Download a video's captions

The full transcript of the source video as an SRT file or plain text, timed against the source video itself, not against any clip cut from it. 404 NO_SUBTITLES until a submission of the video was transcribed. For one clip's captions, use GET .../clips/{clipId}/subtitles.

Authorization

apiKey
headerX-Api-Key<token>

Path Parameters

videoId*string

Video id, from POST /videos/info or GET /videos

Query Parameters

format?string
Value in"srt""txt"

Response Body

Response for status 200

response?stringtext/plain
GET
/videos/{videoId}/subtitles
Example Request
curl -X GET 'https://api.cut.pro/api/v1/videos/string/subtitles'
Example Response
"string"